﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek THS700x (1 yr) SCOPE DCV VER RS-232 /5500
INSTRUMENT:            Sub Tek THS700x (1 yr) DMM DCV VER RS-232 /5500
INSTRUMENT:            Sub Tek THS700x (1 yr) DMM ACV VER RS-232 /5500
INSTRUMENT:            Sub Tek THS700x (1 yr) DMM Resistance VER RS-232 /5500
DATE:                  2014-07-14 11:14:43
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       28
NUMBER OF LINES:       418
CONFIGURATION:         Fluke 5500A
=============================================================================
#
#  Procedure Author:
#        ZY, GMO
#
#  Model(s) Covered:
#        THS710A, THS720A, THS730A, THS720P
#
#  Compatibility:
#        MET/CAL 8.2.3 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Reset the UUT and restore to factory setting.
  1.001  PORT         *CLS;*RST;:CLEARM;:HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek THS700x Select Channel RS-232

  1.003  JMPL         SCOPE_DCV                    PSUBI("SCOPE DCV")
  1.004  JMPL         DMM_DCV                      PSUBI("DMM DCV")
  1.005  JMPL         ACV                          PSUBI("ACV")
  1.006  JMPL         OHM                          PSUBI("Resistance")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub Tek THS700x (1 yr) SCOPE DCV VER RS-232 /5500  ==================

  2.001  LABEL        SCOPE_DCV
  2.002  MATH         CONF = CONF(@CalDev)
  2.003  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])

  2.004  IF           @Chan == 1
  2.005  RSLT         =
  2.006  RSLT         =SCOPE DCV MEASUREMENT ACCURACY
  2.007  ENDIF

  2.008  RSLT         =
  2.009  RSLT         =Channel [V @Chan]

  2.010  HEAD         -2 5 mV/div
  2.011  TARGET       -p
  2.012  DISP         Make the following connections:
  2.012  DISP
  2.012  DISP         [32]  CALIBRATOR    to    UUT
  2.012  DISP         [32]  NORMAL HI --------> CH[V @Chan]
  2.012  DISP         [32]  NORMAL LO --------> COM
  2.013  PORT         ACQ:MOD SAM
  2.014  PORT         ACQ:NUMAV 16
  2.015  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  2.016  PORT         CH[V @Chan]:SCA 5E-3
  2.017  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP MEAN;STATE ON;*OPC?[I!]
  2.018  TARGET       -m
  2.019  5500         17.5mV                                            S  2W
  2.020  MATH         PosAcc = REFACC()
  2.021  WAIT         -t 6 System Settling...
  2.022  CALL         Sub Tek THS700x Scope Measure RS-232
  2.023  MATH         PosValue = @SCOPE_Meas / 1E-3
  2.024  5500         -17.5mV                                           S  2W
  2.025  MATH         NegAcc = REFACC()
  2.026  WAIT         -t 6 System settling...
  2.027  CALL         Sub Tek THS700x Scope Measure RS-232
  2.028  MATH         NegValue = @SCOPE_Meas / 1E-3
  2.029  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF * 2 / 1E-3
  2.030  ACC          35.00mV        L1U
  2.031  MATH         MEM = PosValue - NegValue
  2.032  MEMCX        35.00mV        0.95U

  3.001  HEAD         -2 500 mV/div
  3.002  TARGET       -p
  3.003  PORT         CH[V @Chan]:SCA 500E-3;*OPC?[I!]
  3.004  TARGET       -m
  3.005  5500         1.75V                                             S  2W
  3.006  MATH         PosAcc = REFACC()
  3.007  WAIT         -t 6 System Settling...
  3.008  CALL         Sub Tek THS700x Scope Measure RS-232
  3.009  MATH         PosValue = @SCOPE_Meas
  3.010  5500         -1.75V                                            S  2W
  3.011  MATH         NegAcc = REFACC()
  3.012  WAIT         -t 6 System settling...
  3.013  CALL         Sub Tek THS700x Scope Measure RS-232
  3.014  MATH         NegValue = @SCOPE_Meas
  3.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF * 2
  3.016  ACC          3.500V         L1U
  3.017  MATH         MEM = PosValue - NegValue
  3.018  MEMCX        3.500V         0.095U

  4.001  HEAD         -2 2 V/div
  4.002  TARGET       -p
  4.003  PORT         CH[V @Chan]:SCA 2;*OPC?[I!]
  4.004  TARGET       -m
  4.005  5500         7.00V                                             S  2W
  4.006  MATH         PosAcc = REFACC()
  4.007  WAIT         -t 6 System Settling...
  4.008  CALL         Sub Tek THS700x Scope Measure RS-232
  4.009  MATH         PosValue = @SCOPE_Meas
  4.010  5500         -7.00V                                            S  2W
  4.011  MATH         NegAcc = REFACC()
  4.012  WAIT         -t 6 System settling...
  4.013  CALL         Sub Tek THS700x Scope Measure RS-232
  4.014  MATH         NegValue = @SCOPE_Meas
  4.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF * 2
  4.016  ACC          14.00V         L1U
  4.017  MATH         MEM = PosValue - NegValue
  4.018  MEMCX        14.00V         0.38U

  5.001  HEAD         -2 10 V/div
  5.002  TARGET       -p
  5.003  PORT         CH[V @Chan]:SCA 10;*OPC?[I!]
  5.004  TARGET       -m
  5.005  5500         35V                                               S  2W
  5.006  MATH         PosAcc = REFACC()
  5.007  WAIT         -t 6 System Settling...
  5.008  CALL         Sub Tek THS700x Scope Measure RS-232
  5.009  MATH         PosValue = @SCOPE_Meas
  5.010  5500         -35V                                              S  2W
  5.011  MATH         NegAcc = REFACC()
  5.012  WAIT         -t 6 System settling...
  5.013  CALL         Sub Tek THS700x Scope Measure RS-232
  5.014  MATH         NegValue = @SCOPE_Meas
  5.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF * 2
  5.016  ACC          70.0V          L1U
  5.017  MATH         MEM = PosValue - NegValue
  5.018  MEMCX        70.0V          1.9U

  6.001  HEAD         -2
  6.002  HEAD
  6.003  5500         *                                                 S
  6.004  END

  6.005  EVAL   Increment step number

# =====  Sub Tek THS700x (1 yr) DMM DCV VER RS-232 /5500  ===================

  7.001  LABEL        DMM_DCV
  7.002  RSLT         =
  7.003  HEAD         {DMM DCV MEASUREMENT ACCURACY}
  7.004  RSLT         =
  7.005  HEAD         -2{400 mV Range}
  7.006  TARGET       -p
  7.007  DISP         Make the following connections:
  7.007  DISP
  7.007  DISP         [32]  CALIBRATOR   to     UUT
  7.007  DISP         [32]  NORMAL HI --------> DMM/EXT TRIG
  7.007  DISP         [32]  NORMAL LO --------> COM
  7.008  PORT         DIS:MOD MET
  7.009  PORT         DMM:FUNC DCV
  7.010  PORT         DMM:PROB:UNIT VOL
  7.011  PORT         DMM:VOLTSSCALE:UNI VOLTS
  7.012  PORT         DMM:RANGE:DCV 400E-3;*OPC?[I!]
  7.013  5500         60.0mV                                            S  2W
  7.014  WAIT         -t 4 UUT Setting...
  7.015  TARGET       -m
  7.016  CALL         Sub Tek THS700x DMM Measure RS-232
  7.017  MATH         MEM = @DMM_Meas / 1E-3
  7.018  MEMCX  400   60.0mV         0.8U

  8.001  5500         360.0mV                                           S  2W
  8.002  WAIT         -t 4 UUT Setting...
  8.003  TARGET       -m
  8.004  CALL         Sub Tek THS700x DMM Measure RS-232
  8.005  MATH         MEM = @DMM_Meas / 1E-3
  8.006  MEMCX  400   360.0mV        2.3U

  9.001  RSLT         =
  9.002  HEAD         -2{4 V Range}
  9.003  TARGET       -p
  9.004  PORT         DMM:RANGE:DCV 4;*OPC?[I!]
  9.005  5500         3.600V                                            S  2W
  9.006  WAIT         -t 4 UUT Setting...
  9.007  TARGET       -m
  9.008  CALL         Sub Tek THS700x DMM Measure RS-232
  9.009  MATH         MEM = @DMM_Meas
  9.010  MEMCX  4     3.600V         0.023U

 10.001  RSLT         =
 10.002  HEAD         -2{40 V Range}
 10.003  TARGET       -p
 10.004  PORT         DMM:RANGE:DCV 40;*OPC?[I!]
 10.005  5500         36.00V                                            S  2W
 10.006  WAIT         -t 4 UUT Setting...
 10.007  TARGET       -m
 10.008  CALL         Sub Tek THS700x DMM Measure RS-232
 10.009  MATH         MEM = @DMM_Meas
 10.010  MEMCX  40    36.00V         0.23U

 11.001  RSLT         =
 11.002  HEAD         -2{400 V Range}
 11.003  TARGET       -p
 11.004  PORT         DMM:RANGE:DCV 400;*OPC?[I!]
 11.005  5500         360.0V                                            S  2W
 11.006  WAIT         -t 4 UUT Setting...
 11.007  TARGET       -m
 11.008  CALL         Sub Tek THS700x DMM Measure RS-232
 11.009  MATH         MEM = @DMM_Meas
 11.010  MEMCX  400   360.0V         2.3U

 12.001  RSLT         =
 12.002  HEAD         -2{880 V Range}
 12.003  TARGET       -p
 12.004  PORT         DMM:RANGE:DCV 880;*OPC?[I!]
 12.005  5500         792V                                              S  2W
 12.006  WAIT         -t 4 UUT Setting...
 12.007  TARGET       -m
 12.008  CALL         Sub Tek THS700x DMM Measure RS-232
 12.009  MATH         MEM = @DMM_Meas
 12.010  MEMCX  880   792V           9U

 13.001  5500         *                                                 S
 13.002  HEAD         -2
 13.003  HEAD

 13.004  END

 13.005  EVAL   Increment step number

# =====  Sub Tek THS700x (1 yr) DMM ACV VER RS-232 /5500  ===================

 14.001  LABEL        ACV
 14.002  RSLT         =
 14.003  HEAD         {DMM ACV MEASUREMENT ACCURACY}
 14.004  RSLT         =
 14.005  HEAD         -2{400 mV Range}
 14.006  TARGET       -p
 14.007  PORT         DIS:MOD MET
 14.008  PORT         DMM:FUNC ACV
 14.009  PORT         DMM:PROB:UNIT VOL
 14.010  PORT         DMM:VOLTSSCALE:UNI VOLTS
 14.011  PORT         DMM:RANGE:ACV 400E-3;*OPC?[I!]
 14.012  5500         360.0mV                      500H           SI    S  2W
 14.013  WAIT         -t 2 UUT Setting...
 14.014  TARGET       -m
 14.015  CALL         Sub Tek THS700x DMM Measure RS-232
 14.016  MATH         MEM = @DMM_Meas / 1E-3
 14.017  MEMCX  400   360.0mV        7.7U          500Hz

 15.001  RSLT         =
 15.002  HEAD         -2{4 V Range}
 15.003  TARGET       -p
 15.004  PORT         DMM:RANGE:ACV 4;*OPC?[I!]
 15.005  5500         0.600V                       500H           SI    S  2W
 15.006  WAIT         -t 2 UUT Setting...
 15.007  TARGET       -m
 15.008  CALL         Sub Tek THS700x DMM Measure RS-232
 15.009  MATH         MEM = @DMM_Meas
 15.010  MEMCX  4     0.600V         0.017U        500Hz

 16.001  5500         3.600V                       500H           SI    S  2W
 16.002  WAIT         -t 2 UUT Setting...
 16.003  TARGET       -m
 16.004  CALL         Sub Tek THS700x DMM Measure RS-232
 16.005  MATH         MEM = @DMM_Meas
 16.006  MEMCX  4     3.600V         0.077U        500Hz

 17.001  RSLT         =
 17.002  HEAD         -2{40 V Range}
 17.003  TARGET       -p
 17.004  PORT         DMM:RANGE:ACV 40;*OPC?[I!]
 17.005  5500         36.00V                       500H           SI    S  2W
 17.006  WAIT         -t 2 UUT Setting...
 17.007  TARGET       -m
 17.008  CALL         Sub Tek THS700x DMM Measure RS-232
 17.009  MATH         MEM = @DMM_Meas
 17.010  MEMCX  40    36.00V         0.77U         500Hz

 18.001  RSLT         =
 18.002  HEAD         -2{400 V Range}
 18.003  TARGET       -p
 18.004  PORT         DMM:RANGE:ACV 400;*OPC?[I!]
 18.005  5500         360.0V                       500H           SI    S  2W
 18.006  WAIT         -t 2 UUT Setting...
 18.007  TARGET       -m
 18.008  CALL         Sub Tek THS700x DMM Measure RS-232
 18.009  MATH         MEM = @DMM_Meas
 18.010  MEMCX  400   360.0V         7.7U          500Hz

 19.001  RSLT         =
 19.002  HEAD         -2{640 V Range}
 19.003  TARGET       -p
 19.004  PORT         DMM:RANGE:ACV 640;*OPC?[I!]
 19.005  5500         576V                         500H           SI    S  2W
 19.006  WAIT         -t 2 UUT Setting...
 19.007  TARGET       -m
 19.008  CALL         Sub Tek THS700x DMM Measure RS-232
 19.009  MATH         MEM = @DMM_Meas
 19.010  MEMCX  640   576V           17U           500Hz

 20.001  HEAD         -2
 20.002  HEAD
 20.003  5500         *                                                 S
 20.004  END

 20.005  EVAL   Increment step number

# =====  Sub Tek THS700x (1 yr) DMM Resistance VER RS-232 /5500  =============

 21.001  LABEL        OHM
 21.002  RSLT         =
 21.003  HEAD         {DMM RESISTANCE MEASUREMENT ACCURACY}
 21.004  RSLT         =
 21.005  HEAD         -2{400 Ohm Range}
 21.006  TARGET       -p
 21.007  DISP         Connect the 5500A to the UUT as follows:
 21.007  DISP
 21.007  DISP         [32] CALIBRATOR to  UUT
 21.007  DISP         [32] NORMAL HI <--> DMM/EXT TRIG
 21.007  DISP         [32] NORMAL LO <--> COM
 21.007  DISP         [32] AUX HI    <--> DMM/EXT TRIG
 21.007  DISP         [32] AUX LO    <--> COM
 21.008  PORT         DIS:MOD MET
 21.009  PORT         DMM:FUNC OHM
 21.010  PORT         DMM:RANGE:OHMS 400;*OPC?[I!]
 21.011  5500         360.0Z                                            S  CW
 21.012  WAIT         -t 4 UUT Setting...
 21.013  TARGET       -m
 21.014  CALL         Sub Tek THS700x DMM Measure RS-232
 21.015  MATH         MEM = @DMM_Meas
 21.016  MEMCX  400   360.0Z         0.5% 0.2U

 22.001  RSLT         =
 22.002  HEAD         -2{4 kOhm Range}
 22.003  TARGET       -p
 22.004  PORT         DMM:RANGE:OHMS 4E3;*OPC?[I!]
 22.005  5500         3.600kZ                                           S  CW
 22.006  WAIT         -t 4 UUT Setting...
 22.007  TARGET       -m
 22.008  CALL         Sub Tek THS700x DMM Measure RS-232
 22.009  MATH         MEM = @DMM_Meas / 1E+3
 22.010  MEMCX  4     3.600kZ        0.5% 0.002U

 23.001  RSLT         =
 23.002  HEAD         -2{40 kOhm Range}
 23.003  TARGET       -p
 23.004  PORT         DMM:RANGE:OHMS 40E3;*OPC?[I!]
 23.005  5500         6.00kZ                                            S  CW
 23.006  WAIT         -t 4 UUT Setting...
 23.007  TARGET       -m
 23.008  CALL         Sub Tek THS700x DMM Measure RS-232
 23.009  MATH         MEM = @DMM_Meas / 1E+3
 23.010  MEMCX  40    6.00kZ         0.5% 0.02U

 24.001  5500         36.00kZ                                           S  CW
 24.002  WAIT         -t 4 UUT Setting...
 24.003  TARGET       -m
 24.004  CALL         Sub Tek THS700x DMM Measure RS-232
 24.005  MATH         MEM = @DMM_Meas / 1E+3
 24.006  MEMCX  40    36.00kZ        0.5% 0.02U

 25.001  5500         *                                                 S

 25.002  RSLT         =
 25.003  HEAD         -2{400 kOhm Range}
 25.004  TARGET       -p
 25.005  DISP         Connect the 5500A to the UUT as follows:
 25.005  DISP
 25.005  DISP         [32] CALIBRATOR    to      UUT
 25.005  DISP         [32] NORMAL HI --------->  DMM/EXT TRIG
 25.005  DISP         [32] NORMAL LO --------->  COM
 25.006  PORT         DMM:RANGE:OHMS 400E3;*OPC?[I!]
 25.007  5500         360.0kZ                                           S  2W
 25.008  WAIT         -t 4 UUT Setting...
 25.009  TARGET       -m
 25.010  CALL         Sub Tek THS700x DMM Measure RS-232
 25.011  MATH         MEM = @DMM_Meas / 1E+3
 25.012  MEMCX  400   360.0kZ        0.5% 0.2U

 26.001  RSLT         =
 26.002  HEAD         -2{4 MOhm Range}
 26.003  TARGET       -p
 26.004  PORT         DMM:RANGE:OHMS 4E6;*OPC?[I!]
 26.005  5500         3.600MZ                                           S  2W
 26.006  WAIT         -t 4 UUT Setting...
 26.007  TARGET       -m
 26.008  CALL         Sub Tek THS700x DMM Measure RS-232
 26.009  MATH         MEM = @DMM_Meas / 1E+6
 26.010  MEMCX  4     3.600MZ        0.5% 0.002U

 27.001  RSLT         =
 27.002  HEAD         -2{40 MOhm Range}
 27.003  TARGET       -p
 27.004  PORT         DMM:RANGE:OHMS 40E6;*OPC?[I!]
 27.005  5500         36.00MZ                                           S  2W
 27.006  WAIT         -t 10 UUT Setting...
 27.007  TARGET       -m
 27.008  CALL         Sub Tek THS700x DMM Measure RS-232
 27.009  MATH         MEM = @DMM_Meas / 1E+6
 27.010  MEMCX  40    36.00MZ        2.00% 0.05U

 28.001  HEAD         -2
 28.002  HEAD
 28.003  5500         *                                                 S
 28.004  END
